searchData={"items":[{"type":"module","title":"GoogleApi.WebRisk.V1","doc":"API client metadata for GoogleApi.WebRisk.V1.","ref":"GoogleApi.WebRisk.V1.html"},{"type":"function","title":"GoogleApi.WebRisk.V1.discovery_revision/0","doc":"","ref":"GoogleApi.WebRisk.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Api.Hashes","doc":"API calls for all endpoints tagged `Hashes`.","ref":"GoogleApi.WebRisk.V1.Api.Hashes.html"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.Hashes.webrisk_hashes_search/3","doc":"Gets the full hashes that match the requested hash prefix. This is used after a hash prefix is looked up in a threatList and there is a match. The client side threatList only holds partial hashes so the client must query this method to determine if there is a full hash match of a threat.","ref":"GoogleApi.WebRisk.V1.Api.Hashes.html#webrisk_hashes_search/3"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.Hashes.webrisk_hashes_search/3","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:hashPrefix` (*type:* `String.t`) - A hash prefix, consisting of the most significant 4-32 bytes of a SHA256 hash. For JSON requests, this field is base64-encoded. Note that if this parameter is provided by a URI, it must be encoded using the web safe base64 variant (RFC 4648).\n    *   `:threatTypes` (*type:* `list(String.t)`) - Required. The ThreatLists to search in. Multiple ThreatLists may be specified.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.Hashes.html#webrisk_hashes_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.Hashes.webrisk_hashes_search/3","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.Hashes.html#webrisk_hashes_search/3-returns"},{"type":"module","title":"GoogleApi.WebRisk.V1.Api.Projects","doc":"API calls for all endpoints tagged `Projects`.","ref":"GoogleApi.WebRisk.V1.Api.Projects.html"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of `1`, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_delete/4","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_get/4","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_get/4-returns"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_operations_list/4","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_operations_list/4-returns"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_submissions_create/4","doc":"Creates a Submission of a URI suspected of containing phishing content to be reviewed. If the result verifies the existence of malicious phishing content, the site will be added to the [Google's Social Engineering lists](https://support.google.com/webmasters/answer/6350487/) in order to protect users that could get exposed to this threat in the future. Only allowlisted projects can use this method during Early Access. Please reach out to Sales or your customer engineer to obtain access.","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_submissions_create/4"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_submissions_create/4","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The name of the project that is making the submission. This string is in the format \"projects/{project_number}\".\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_submissions_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.Projects.webrisk_projects_submissions_create/4","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.Projects.html#webrisk_projects_submissions_create/4-returns"},{"type":"module","title":"GoogleApi.WebRisk.V1.Api.ThreatLists","doc":"API calls for all endpoints tagged `ThreatLists`.","ref":"GoogleApi.WebRisk.V1.Api.ThreatLists.html"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.ThreatLists.webrisk_threat_lists_compute_diff/3","doc":"Gets the most recent threat list diffs. These diffs should be applied to a local database of hashes to keep it up-to-date. If the local database is empty or excessively out-of-date, a complete snapshot of the database will be returned. This Method only updates a single ThreatList at a time. To update multiple ThreatList databases, this method needs to be called once for each list.","ref":"GoogleApi.WebRisk.V1.Api.ThreatLists.html#webrisk_threat_lists_compute_diff/3"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.ThreatLists.webrisk_threat_lists_compute_diff/3","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"constraints.maxDatabaseEntries\"` (*type:* `integer()`) - Sets the maximum number of entries that the client is willing to have in the local database. This should be a power of 2 between 2**10 and 2**20. If zero, no database size limit is set.\n    *   `:\"constraints.maxDiffEntries\"` (*type:* `integer()`) - The maximum size in number of entries. The diff will not contain more entries than this value. This should be a power of 2 between 2**10 and 2**20. If zero, no diff size limit is set.\n    *   `:\"constraints.supportedCompressions\"` (*type:* `list(String.t)`) - The compression types supported by the client.\n    *   `:threatType` (*type:* `String.t`) - Required. The threat list to update. Only a single ThreatType should be specified per request. If you want to handle multiple ThreatTypes, you must make one request per ThreatType.\n    *   `:versionToken` (*type:* `String.t`) - The current version token of the client for the requested list (the client version that was received from the last successful diff). If the client does not have a version token (this is the first time calling ComputeThreatListDiff), this may be left empty and a full database snapshot will be returned.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.ThreatLists.html#webrisk_threat_lists_compute_diff/3-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.ThreatLists.webrisk_threat_lists_compute_diff/3","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.ThreatLists.html#webrisk_threat_lists_compute_diff/3-returns"},{"type":"module","title":"GoogleApi.WebRisk.V1.Api.Uris","doc":"API calls for all endpoints tagged `Uris`.","ref":"GoogleApi.WebRisk.V1.Api.Uris.html"},{"type":"function","title":"GoogleApi.WebRisk.V1.Api.Uris.webrisk_uris_search/3","doc":"This method is used to check whether a URI is on a given threatList. Multiple threatLists may be searched in a single query. The response will list all requested threatLists the URI was found to match. If the URI is not found on any of the requested ThreatList an empty response will be returned.","ref":"GoogleApi.WebRisk.V1.Api.Uris.html#webrisk_uris_search/3"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Api.Uris.webrisk_uris_search/3","doc":"*   `connection` (*type:* `GoogleApi.WebRisk.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:threatTypes` (*type:* `list(String.t)`) - Required. The ThreatLists to search in. Multiple ThreatLists may be specified.\n    *   `:uri` (*type:* `String.t`) - Required. The URI to be checked for matches.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.WebRisk.V1.Api.Uris.html#webrisk_uris_search/3-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Api.Uris.webrisk_uris_search/3","doc":"*   `{:ok, %GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.WebRisk.V1.Api.Uris.html#webrisk_uris_search/3-returns"},{"type":"module","title":"GoogleApi.WebRisk.V1.Connection","doc":"Handle Tesla connections for GoogleApi.WebRisk.V1.","ref":"GoogleApi.WebRisk.V1.Connection.html"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.WebRisk.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.WebRisk.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.WebRisk.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.WebRisk.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.WebRisk.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.WebRisk.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.WebRisk.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.WebRisk.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.WebRisk.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.WebRisk.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.WebRisk.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.WebRisk.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.WebRisk.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.WebRisk.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.WebRisk.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.WebRisk.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.WebRisk.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyword list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.WebRisk.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.WebRisk.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.WebRisk.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.WebRisk.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.WebRisk.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.WebRisk.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.WebRisk.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.WebRisk.V1.Connection.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse","doc":"*   `additions` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions.t`, *default:* `nil`) - A set of entries to add to a local threat type's list.\n*   `checksum` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum.t`, *default:* `nil`) - The expected SHA256 hash of the client state; that is, of the sorted list of all hashes present in the database after applying the provided diff. If the client state doesn't match the expected state, the client must discard this diff and retry later.\n*   `newVersionToken` (*type:* `String.t`, *default:* `nil`) - The new opaque client version token. This should be retained by the client and passed into the next call of ComputeThreatListDiff as 'version_token'. A separate version token should be stored and used for each threatList.\n*   `recommendedNextDiff` (*type:* `DateTime.t`, *default:* `nil`) - The soonest the client should wait before issuing any diff request. Querying sooner is unlikely to produce a meaningful diff. Waiting longer is acceptable considering the use case. If this field is not set clients may update as soon as they want.\n*   `removals` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals.t`, *default:* `nil`) - A set of entries to remove from a local threat type's list. This field may be empty.\n*   `responseType` (*type:* `String.t`, *default:* `nil`) - The type of response. This may indicate that an action must be taken by the client when the response is received.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum","doc":"The expected state of a client's local database.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum","doc":"*   `sha256` (*type:* `String.t`, *default:* `nil`) - The SHA256 hash of the client state; that is, of the sorted list of all hashes present in the database.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ComputeThreatListDiffResponseChecksum.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes","doc":"The uncompressed threat entries in hash format. Hashes can be anywhere from 4 to 32 bytes in size. A large majority are 4 bytes, but some hashes are lengthened if they collide with the hash of a popular URI. Used for sending ThreatEntryAdditons to clients that do not support compression, or when sending non-4-byte hashes to clients that do support compression.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes","doc":"*   `prefixSize` (*type:* `integer()`, *default:* `nil`) - The number of bytes for each prefix encoded below. This field can be anywhere from 4 (shortest prefix) to 32 (full SHA256 hash). In practice this is almost always 4, except in exceptional circumstances.\n*   `rawHashes` (*type:* `String.t`, *default:* `nil`) - The hashes, in binary format, concatenated into one long string. Hashes are sorted in lexicographic order. For JSON API users, hashes are base64-encoded.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices","doc":"A set of raw indices to remove from a local list.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices","doc":"*   `indices` (*type:* `list(integer())`, *default:* `nil`) - The indices to remove from a lexicographically-sorted local list.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding","doc":"The Rice-Golomb encoded data. Used for sending compressed 4-byte hashes or compressed removal indices.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding","doc":"*   `encodedData` (*type:* `String.t`, *default:* `nil`) - The encoded deltas that are encoded using the Golomb-Rice coder.\n*   `entryCount` (*type:* `integer()`, *default:* `nil`) - The number of entries that are delta encoded in the encoded data. If only a single integer was encoded, this will be zero and the single value will be stored in `first_value`.\n*   `firstValue` (*type:* `String.t`, *default:* `nil`) - The offset of the first entry in the encoded data, or, if only a single integer was encoded, that single integer's value. If the field is empty or missing, assume zero.\n*   `riceParameter` (*type:* `integer()`, *default:* `nil`) - The Golomb-Rice parameter, which is a number between 2 and 28. This field is missing (that is, zero) if `num_entries` is zero.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse","doc":"*   `negativeExpireTime` (*type:* `DateTime.t`, *default:* `nil`) - For requested entities that did not match the threat list, how long to cache the response until.\n*   `threats` (*type:* `list(GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash.t)`, *default:* `nil`) - The full hashes that matched the requested prefixes. The hash will be populated in the key.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash","doc":"Contains threat information on a matching hash.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash","doc":"*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - The cache lifetime for the returned match. Clients must not cache this response past this timestamp to avoid false positives.\n*   `hash` (*type:* `String.t`, *default:* `nil`) - A 32 byte SHA256 hash. This field is in binary format. For JSON requests, hashes are base64-encoded.\n*   `threatTypes` (*type:* `list(String.t)`, *default:* `nil`) - The ThreatList this threat belongs to. This must contain at least one entry.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchHashesResponseThreatHash.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse","doc":"*   `threat` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri.t`, *default:* `nil`) - The threat list matches. This might be empty if the URI is on no list.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri","doc":"Contains threat information on a matching uri.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri","doc":"*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - The cache lifetime for the returned match. Clients must not cache this response past this timestamp to avoid false positives.\n*   `threatTypes` (*type:* `list(String.t)`, *default:* `nil`) - The ThreatList this threat belongs to.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1SearchUrisResponseThreatUri.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission","doc":"Wraps a URI that might be displaying malicious content.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission","doc":"*   `uri` (*type:* `String.t`, *default:* `nil`) - Required. The URI that is being reported for malicious content to be analyzed.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1Submission.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions","doc":"Contains the set of entries to add to a local database. May contain a combination of compressed and raw data in a single response.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions","doc":"*   `rawHashes` (*type:* `list(GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawHashes.t)`, *default:* `nil`) - The raw SHA256-formatted entries. Repeated to allow returning sets of hashes with different prefix sizes.\n*   `riceHashes` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.t`, *default:* `nil`) - The encoded 4-byte prefixes of SHA256-formatted entries, using a Golomb-Rice encoding. The hashes are converted to uint32, sorted in ascending order, then delta encoded and stored as encoded_data.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryAdditions.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals","doc":"Contains the set of entries to remove from a local database.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals","doc":"*   `rawIndices` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RawIndices.t`, *default:* `nil`) - The raw removal indices for a local list.\n*   `riceIndices` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1RiceDeltaEncoding.t`, *default:* `nil`) - The encoded local, lexicographically-sorted list indices, using a Golomb-Rice encoding. Used for sending compressed removal indices. The removal indices (uint32) are sorted in ascending order, then delta encoded and stored as encoded_data.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleCloudWebriskV1ThreatEntryRemovals.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningCancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.WebRisk.V1.Model.GoogleRpcStatus.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Contains a `SubmitUriMetadata` object.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Matches the `/v1/{project-name}/operations/{operation-id}` pattern.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleLongrunningOperation.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleProtobufEmpty.html#t:t/0"},{"type":"module","title":"GoogleApi.WebRisk.V1.Model.GoogleRpcStatus","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.WebRisk.V1.Model.GoogleRpcStatus.html"},{"type":"module","title":"Attributes - GoogleApi.WebRisk.V1.Model.GoogleRpcStatus","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.WebRisk.V1.Model.GoogleRpcStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.WebRisk.V1.Model.GoogleRpcStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.WebRisk.V1.Model.GoogleRpcStatus.html#decode/2"},{"type":"type","title":"GoogleApi.WebRisk.V1.Model.GoogleRpcStatus.t/0","doc":"","ref":"GoogleApi.WebRisk.V1.Model.GoogleRpcStatus.html#t:t/0"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.35.1"}}